## bitcoin 0.8.5

=== debian/changelog ===
bitcoin (0.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Fri, 13 Sep 2013 09:55:38 -0400

bitcoin (0.8.4-1) unstable; urgency=low

  * New upstream release.
    - Closes password attack (Closes: #717828 CVE-2013-4165)
    - Closes DoS vulnerability (Closes: #721821 CVE-2013-4627)
  * Refreshed patches

 -- Scott Howard <showard@debian.org>  Tue, 03 Sep 2013 22:58:54 -0400

bitcoin (0.8.3-2) unstable; urgency=low

  * Use included leveldb instead of system library. See debian/README.source

 -- Scott Howard <showard@debian.org>  Thu, 25 Jul 2013 16:54:38 -0400

bitcoin (0.8.3-1) unstable; urgency=low

  * New upstream release

 -- Scott Howard <showard@debian.org>  Wed, 26 Jun 2013 17:19:51 -0400

bitcoin (0.8.2-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions. 

  [ Scott Howard ]
  * New upstream release
  * Use new bitcoin-qt manpage from upstream
    - debian/patches/1009_manpage_hyphons.patch dropped, adopted upstream

 -- Scott Howard <showard@debian.org>  Fri, 31 May 2013 17:43:50 -0400

bitcoin (0.8.1-2) unstable; urgency=low

  * Merge from experimental closing two security bugs in sid
    - Closes: #705266 CVE-2013-2272
    - Closes: #705265 CVE-2013-2293
  * Import patches from libleveldb to fix one of the kFreeBSD & hurd FTBFS
  * Added high res icons to package (LP: #1127181)
  * Remove reference to IRC network in debian/control
  * Patch and ship upstream manpages instead of maintaining our own
    - updated bitcoin-qt manpage for version 0.8.1
  * Drop wrapper for bitcoind
    -upstream has dropped it and the wrapper may introduce problems with 
     multi-wallet or non-default data directories

 -- Scott Howard <showard@debian.org>  Tue, 26 Mar 2013 13:52:40 -0400
