## bitcoin 0.9.2.1

=== debian/changelog ===
bitcoin (0.9.2.1-1b1) staging; urgency=high

  * No-change rebuild against libminiupnpc10

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 23 Aug 2014 10:04:18 +0000

bitcoin (0.9.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Updated regex filter for debian copyright-check
  * BD on libboost-chrono-dev (Closes: #754356)
  * Update Vcs: to anonscm.debian.org

 -- Scott Howard <showard@debian.org>  Tue, 15 Jul 2014 08:21:37 -0400

bitcoin (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Clean left over config.log from failed build (Closes: #743971)
  * No longer need to declare multiarch libboost dir, commented out
    from debian/rules
  * Refreshed patches, debian/copyright_hints

 -- Scott Howard <showard@debian.org>  Wed, 09 Apr 2014 16:47:50 -0400

bitcoin (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Tue, 08 Apr 2014 17:13:14 -0400

bitcoin (0.9.0-1) unstable; urgency=low

  * New upstream release.
    - autotools build & add BDs for dh-autoreconf,libprotobuf-dev,
      protobuf-compiler
  * Refreshed patches
    - 1003_qmake_cleanup.patch, no longer needed - no longer uses qmake
    - 1007_libmemenv_hurd.patch, no longer make msync() calls
  * Refreshed debian/copyright, debian/copyright_hints
  * Debian SV 3.9.5 (no changes)

 -- Scott Howard <showard@debian.org>  Wed, 19 Mar 2014 15:37:29 -0400
