=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  dh-buildinfo,
  devscripts,
  libminiupnpc-dev,
+ libboost-chrono-dev,
  libboost-system-dev,
  libboost-filesystem-dev,
  libboost-program-options-dev,
@@ -19,10 +20,13 @@
  pkg-config,
  qt4-default,
  libqrencode-dev,
- icoutils
-Standards-Version: 3.9.4
+ icoutils,
+ dh-autoreconf,
+ libprotobuf-dev,
+ protobuf-compiler
+Standards-Version: 3.9.5
 Homepage: http://www.bitcoin.org/
-Vcs-Git: git://git.debian.org/git/collab-maint/bitcoin
+Vcs-Git: git://anonscm.debian.org/collab-maint/bitcoin
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bitcoin.git
 
 Package: bitcoind
