=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts=uversionmangle=s/(\d)(alpha|beta|rc)/$1~$2/,dversionmangle=s/~dfsg\d*// \
 https://github.com/bitcoin/bitcoin/tags .*/archive/v?(\d[\d\.]+).tar.gz
