## bitcoin 0.10.0

=== debian/changelog ===
bitcoin (0.10.0-1) unstable; urgency=medium

  * New upstream release
  * updated debian/copyright
  * Refreshed patches
    - dropped debian/patches/1008_libmemenv_cstdatomic_renaming.patch
      (changed upstream)
  * BD on python to run compile checks

 -- Scott Howard <showard@debian.org>  Mon, 16 Feb 2015 12:52:26 -0500

bitcoin (0.9.4-1) unstable; urgency=medium

  * New upstream release.
    - Fixes OpenSSL 1.0.1k incompatibility FTBFS and failure to sync
      blockchain (Closes: 775102)
  * Updated debian/copyright, fixed typo in format tag, added short
    names to custom licenses (custom license)
  * Removed patches:
    - debian/patches/1003_qmake_cleanup.patch (unused)
    - debian/patches/2001_stupify_header_script.patch (no longer needed)
    - debian/patches/3001_debug_bts_672524.patch (unused)


 -- Scott Howard <showard@debian.org>  Thu, 29 Jan 2015 10:36:59 -0500

bitcoin (0.9.3-1) unstable; urgency=medium

  * New upstream release, minor bug fixes
  * BD on libqt4-dev instead of qt4-default (Lintian)
  * D S-V 3.9.6, no changes
  * added exec code to debian/bitcoin.desktop to fix Lintian warning:
    desktop-mime-but-no-exec-code

 -- Scott Howard <showard@debian.org>  Sun, 05 Oct 2014 12:41:11 -0400
