=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 DEB_UPSTREAM_URL = https://github.com/bitcoin/bitcoin/archive
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/
-DEB_UPSTREAM_TARBALL_MD5 = bd3caef17ba5bf9075ff26cd1b29cdae
+DEB_UPSTREAM_TARBALL_MD5 = 69fb3ebe5fc89f5fb55ca7c46818c3e8
 
 # Ignore graphics and .mo files in addition to the default debian files
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(.*\.png|src/qt/res/icons/bitcoin_testnet.ico|src/qt/res/icons/bitcoin\.icns|contrib/macdeploy/background\.psd|src/qt/res/images/splash_testnet\.png|src/qt/res/movies/.*\.png|src/qt/locale/.*\.ts|share/pixmaps/bitcoin256.png|share/pixmaps/bitcoin\.ico|src/qt/res/icons/bitcoin\.ico|doc/gitian-building/.*\.png|doc/bitcoin_logo_doxygen\.png|src/qt/res/icons/.*\.png|contrib/Bitcoin.app/Contents/Resources/BitcoinAppIcon\.icns|contrib/gitian-downloader/sipa-key\.pgp|debian/(changelog|copyright(|_hints|_newhints)))$
@@ -128,10 +128,10 @@
 CDBS_BUILD_DEPENDS += , libdb$(bdbver)++-dev | libdb$(bdbstablever)++-dev
 CDBS_SUGGESTS_bitcoind = db$(bdbver)-util, db$(bdbstablever)-util
 
-CDBS_BUILD_DEPENDS += , libssl-dev, pkg-config
+CDBS_BUILD_DEPENDS += , libssl-dev, pkg-config, python
 
 # Build dependencies for the bitcoin-qt package
-CDBS_BUILD_DEPENDS += , qt4-qmake, libqt4-dev, libqrencode-dev
+CDBS_BUILD_DEPENDS += , libqt4-dev, libqrencode-dev
 
 # Build dependencies for extracting icons
 CDBS_BUILD_DEPENDS += icoutils
