## bitcoin 0.12.1

=== debian/changelog ===
bitcoin (0.12.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: Bug#822203)
  * Remove cdbs from debian/rules, add debian/copyright-check to help
    with updating debian/copyright info (Closes: Bug#808969)
  * Update dependencies to qt5.
  * Add dependency on libdevent-dev.
  * Add dependency on libzmq for ZeroMQ support.
  * Force use of gcc/g++ 5. (Closes: Bug#812275)
  * Compatibility patch for OpenSSL 1.1 opaque types. (Closes: Bug#828248)
  * Apply reproducible build patch from Reiner Herrmann. (Closes: Bug#791834)
  * Bump standards version.

 -- Anthony Towns <aj@erisian.com.au>  Fri, 19 Aug 2016 18:48:51 +1000

bitcoin (0.11.2-1) unstable; urgency=medium

  * Updated symbols
  * New upstream release (Closes: #805052)

 -- Scott Howard <showard@debian.org>  Thu, 21 Jan 2016 22:43:13 -0500

bitcoin (0.11.1-1) unstable; urgency=medium

  * Updated symbols
  * New upstream release (Closes: #802956)
  * New bitcoin-tx package (Closes: #797683)
  * Updated debian/copyright
  * Removed menu file, just use .desktop file
  * Remove lintian overrides, no longer needed

 -- Scott Howard <showard@debian.org>  Sun, 08 Nov 2015 10:11:17 -0500

bitcoin (0.11.0-1) unstable; urgency=medium

  * New upstream release (Closes: #793622)
    - build on all archs, big endian is now supported
  * Updated symbols file
  * Added bitcoin-cli.1 manpage from contrib/debian/manpages
  * Updated debian/copyright

 -- Scott Howard <showard@debian.org>  Wed, 29 Jul 2015 15:45:52 -0400

bitcoin (0.10.2-3) unstable; urgency=medium

  * Try running tests with writable ${HOME} and ${TMPDIR}, drop build 
    dependency on xvfb and xauth

 -- Scott Howard <showard@debian.org>  Tue, 07 Jul 2015 13:15:55 -0400

bitcoin (0.10.2-2) unstable; urgency=medium

  * Debugging 790403, output contents of src/test-suite.log

 -- Scott Howard <showard@debian.org>  Tue, 07 Jul 2015 11:00:21 -0400

bitcoin (0.10.2-1) unstable; urgency=medium

  * New upstream release
  * Add BD on xvfb, xauth, and use xvfb-run on dh_auto_test so qt tests
    run on systems without an X server (Closes: #790403)
  * Updated debian/copyright
    (thanks Thorsten Alteholz, Closes: #790312)

 -- Scott Howard <showard@debian.org>  Wed, 01 Jul 2015 10:37:00 -0400

bitcoin (0.10.1-2) unstable; urgency=medium

  * Switched to dh 7 style rules
    - remove squeeze backport support
    - bring in line with upstream packaging
  * Build libbitcoinconsensus libraries and packages
  * Merge upstream packaging features
    - bitcoind.bash-cmpletion added

 -- Scott Howard <showard@debian.org>  Tue, 26 May 2015 16:27:21 -0400

bitcoin (0.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Scott Howard <showard@debian.org>  Wed, 13 May 2015 01:42:43 -0400
