=== debian/control ===
Source: bitcoin
Section: utils
Priority: optional
Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>, Micah Anderson <micah@debian.org>,
 Scott Howard <showard@debian.org>
Build-Depends: autotools-dev, bash-completion, dh-exec,
 gcc-5, g++-5,
 debhelper (>= 9),
 libminiupnpc-dev,
 libboost-chrono-dev,
 libboost-system-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-thread-dev,
 libboost-test-dev,
 libdb++-dev,
 libssl-dev,
 pkg-config,
 qtbase5-dev, qt5-qmake, qttools5-dev-tools,
 libevent-dev,
 libzmq3-dev (>= 4) | libzmq5-dev,
 libqrencode-dev,
 dh-autoreconf,
 libprotobuf-dev,
 protobuf-compiler,
 python
Standards-Version: 3.9.8
Homepage: http://www.bitcoin.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/bitcoin
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bitcoin.git

Package: bitcoind
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: peer-to-peer network based digital currency - daemon
 Bitcoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending.
 .
 Full transaction history is stored locally at each client.  This
 requires several GB of space, slowly growing.
 .
 This package provides the daemon, bitcoind, and the CLI tool,
 bitcoin-cli, to interact with the daemon.

Package: bitcoin-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: peer-to-peer network based digital currency - GUI
 Bitcoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending.
 .
 Full transaction history is stored locally at each client.  This
 requires 20+ GB of space, slowly growing.
 .
 This package provides Bitcoin-Qt, a GUI for Bitcoin based on Qt.

Package: bitcoin-tx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: peer-to-peer network based digital currency - transaction tool
 Bitcoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending.
 .
 Full transaction history is stored locally at each client.  This
 requires 20+ GB of space, slowly growing.
 .
 This package provides bitcoin-tx, a command line tool for creating,
 parsing, or modifying transactions.

Package: libbitcoinconsensus0
Section: libs
Multi-Arch: same
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: bitcoin blockchain library
 Bitcoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending.
 .
 This package provides a library useful for blockchcain operations.

Package: libbitcoinconsensus-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbitcoinconsensus0 (=${binary:Version})
Description: bitcoin blockchain library development files
 Bitcoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending.
 .
 This package provides a header files and static library useful
 for blockchcain operations.
