## bitcoin 0.13.1

=== debian/changelog ===
bitcoin (0.13.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Patch for -latomic is included upstream, so drop Debian-specific patch.
  * Add semi-colons for hppa patch. (Closes: Bug#841706)

 -- Anthony Towns <aj@erisian.com.au>  Fri, 28 Oct 2016 13:40:17 +1000

bitcoin (0.13.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Allow compilation with gcc/g++ 6. (Closes: Bug#835963)
  * Additional fixes for openssl 1.1 compatibility. (See Bug#828248)
  * Check if -latomic is needed (it is on mips*).
  * Remove reproducible build patch, since leveldb build system is
    no longer used in 0.13. (See Bug#791834)
  * Update description since the blockchain is much more than "several GB"
    now. (Closes: Bug#835809)

 -- Anthony Towns <aj@erisian.com.au>  Fri, 21 Oct 2016 17:13:13 +1000
