=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Jonas Smedegaard <dr@jones.dk>, Micah Anderson <micah@debian.org>,
  Scott Howard <showard@debian.org>
 Build-Depends: autotools-dev, bash-completion, dh-exec,
- gcc-5, g++-5,
  debhelper (>= 9),
  libminiupnpc-dev,
  libboost-chrono-dev,
@@ -40,8 +39,8 @@
  transact directly with each other, with the help of a P2P network to
  check for double-spending.
  .
- Full transaction history is stored locally at each client.  This
- requires several GB of space, slowly growing.
+ Unless pruning is enabled, full global transaction history is stored
+ locally at each client, which may require large amounts of disk space.
  .
  This package provides the daemon, bitcoind, and the CLI tool,
  bitcoin-cli, to interact with the daemon.
@@ -56,8 +55,8 @@
  transact directly with each other, with the help of a P2P network to
  check for double-spending.
  .
- Full transaction history is stored locally at each client.  This
- requires 20+ GB of space, slowly growing.
+ Unless pruning is enabled, full global transaction history is stored
+ locally at each client, which may require large amounts of disk space.
  .
  This package provides Bitcoin-Qt, a GUI for Bitcoin based on Qt.
 
@@ -71,8 +70,8 @@
  transact directly with each other, with the help of a P2P network to
  check for double-spending.
  .
- Full transaction history is stored locally at each client.  This
- requires 20+ GB of space, slowly growing.
+ Unless pruning is enabled, full global transaction history is stored
+ locally at each client, which may require large amounts of disk space.
  .
  This package provides bitcoin-tx, a command line tool for creating,
  parsing, or modifying transactions.
