## bitcoin 0.16.1~dfsg

=== debian/changelog ===
bitcoin (0.16.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Refresh patch 1002.
  * Drop build target get-orig-source: Obsolete.
  * Stop build and package shared library bitcoinconsensus:
    Apparently unused anywhere, and unstable API.
    Closes: Bug#889118. Thanks to Adrian Bunk.
  * Use tracker.debian team email as Maintainer.
    Closes: Bug#899455. Thanks to Christoph Biedl.
  * Improve long descriptions, based on Wikipedia description.
  * Use semantic newlines in long descriptions.
  * Fix typo in watch file usage comment.
  * Add patch 1003 to fix header sections of man pages.
    Closes: Bug#883999. Thanks to 積丹尼 Dan Jacobson.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Jun 2018 23:09:21 +0200

bitcoin (0.16.1~~rc2~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New pre-release(s).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Jun 2018 15:16:26 +0200

bitcoin (0.16.0~dfsg-1) unstable; urgency=medium

  * Update symbols: 2 dropped. 3 added. 1 relaxed.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Jun 2018 20:18:21 +0200

bitcoin (0.16.0~dfsg-1~exp1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Reduce files stripped when repackaging: Upstream no longer ship
      PNG files with embedded unlicensed ICC files.
  * Update Vcs-* fields: Source moved to Salsa.
  * Declare compliance with Debian Policy 4.1.4.
  * Drop patch cherry-picked upstream since applied.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Jun 2018 15:29:17 +0200

bitcoin (0.15.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Refresh and unfuzz patches.
  * Update symbols.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Nov 2017 19:56:11 +0100

bitcoin (0.15.0.1~dfsg-2) unstable; urgency=medium

  * Use default gcc: Bug#871514 is solved now.
    Stop build-depend on gcc-6 or g++-6.
  * Add patch cherry-picked upstream, to fix json formatting in
    univalue-related tests.
    Closes: Bug#869704. Thanks to Christopher Baines.
  * Add patch 2002 to avoid tests requiring network access.
    Closes: Bug#844933. Thanks to Lucas Nussbaum and Rudy Godoy Guillén.
  * Declare compliance with Debian Policy 4.1.1.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Nov 2017 22:54:32 +0100

bitcoin (0.15.0.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix possible crash with invalid nCustomFeeRadio in QSettings.
    + Update manpages.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Sep 2017 14:37:30 +0200

bitcoin (0.15.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update watch file: Use substitution strings.
  * Update symbols file.
  * Use https protocol for upstream Homepage.
  * Modernize Vcs-* fields: Consistently include .git suffix in path.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 14 Sep 2017 09:48:46 +0200

bitcoin (0.15.0~~rc3~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New prerelease.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Fix include verbatim public-domain (non-)licensing statement in
      License field (not Comment field).
  * Tighten lintian overrides regarding License-Reference.
  * Update symbols.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Aug 2017 17:53:51 +0200

bitcoin (0.15.0~~rc2~dfsg-1~exp2) experimental; urgency=medium

  * Temporarily use gcc-6 and g++-6 to avoid FTBFS on mips64el (see
    bug#871514).
    Build-depend on gcc-6 g++-6.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Aug 2017 10:37:05 +0200

bitcoin (0.15.0~~rc2~dfsg-1~exp1) experimental; urgency=medium

  [ upstream ]
  * New prerelease.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Track prereleases.
    + Fix use ~~ for prereleases to rank below ~dfsg.
  * Update copyright info:
    + Adjust some paths.
    + Extend coverage for some authors.
    + Add a few new authors, licensed as Expat and/or BSD-3-clause.
  * Declare compliance with Debian Policy 4.0.1.
  * Unfuzz and restructure patches.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Aug 2017 13:51:48 +0200

bitcoin (0.14.2~dfsg-1~exp2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.0.1.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Aug 2017 02:39:35 +0200

bitcoin (0.14.2~dfsg-1~exp1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Repackage upstream source, excluding images with embedded non-free
    ICC profile, and embedded convenience code copies.
  * Update watch file:
    + Bump to file format 4.
    + Mention gbp --uscan in usage comment.
    + Mangle filename to include package name.
    + Set repacksuffix.
  * Use system-shared libraries leveldb secp256k1 univalue.
    + Add patches 1001 1002 2001 to use system-shared libraries.
    + Drop patches 1005 1006 1007 2002 tweaking embedded libraries.
    + Drop defence in README.source for use of embedded code copies.
    + Tell configure script to enable use of system libraries.
    + Build-depend on libleveldb-dev libsecp256k1-dev libunivalue-dev.
    See bug#734597 for related discussion.
  * Remove README.Debian: Contained only migration notes related to
    obsolete Berkeleydb 4.8.
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Update coverage of m4 files.
    + Stop track embedded code copies no longer included.
    + Extend coverage of icons (based on contrib/debian/copyright).
    + Fix list LGPL-3+ licensed test script.
    + List a file with uncommon copyright holder.
  * Skip copyright-checking *.raw files.
  * Update source location and availability of manpages.
  * Update long descriptions based on upstream notes.
  * Update upstream project name.
  * Drop patch 3001: OpenSSL 1.1 supported upstream now.
  * Unfuzz patches.
  * Install bash-completion for bitcoin-tx.

