=== debian/control ===
Source: bitcoin
Section: utils
Priority: optional
Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Micah Anderson <micah@debian.org>,
 Scott Howard <showard@debian.org>
Build-Depends:
 autotools-dev,
 bash-completion,
 debhelper,
 dh-autoreconf,
 dh-exec,
 libboost-chrono-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-system-dev,
 libboost-test-dev,
 libboost-thread-dev,
 libdb++-dev,
 libevent-dev,
 libleveldb-dev,
 libminiupnpc-dev,
 libprotobuf-dev,
 libqrencode-dev,
 libsecp256k1-dev,
 libssl-dev,
 libunivalue-dev,
 libzmq3-dev,
 pkg-config,
 protobuf-compiler,
 python,
 qt5-qmake,
 qtbase5-dev,
 qttools5-dev-tools
Standards-Version: 4.1.4
Homepage: https://www.bitcoin.org/
Vcs-Git: https://salsa.debian.org/cryptocoin-team/bitcoin.git
Vcs-Browser: https://salsa.debian.org/cryptocoin-team/bitcoin

Package: bitcoind
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: peer-to-peer network based digital currency - daemon
 This package provides Bitcoin Core daemon bitcoind,
 and command-line tool bitcoin-cli to interact with the daemon.
 .
 Bitcoin Core is the reference implementation of Bitcoin.
 .
 Bitcoin (₿) is the world's first cryptocurrency,
 a form of electronic cash sent peer-to-peer
 without the need for a financial intermediary.
 .
 Beware that unless pruning is enabled,
 full global transaction history is stored locally at each client,
 which may require large amounts of disk space
 (hundreds of gigabyte).

Package: bitcoin-qt
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: peer-to-peer network based digital currency - GUI
 This package provides Bitcoin Core tool Bitcoin-Qt,
 a graphical user interface for Bitcoin.
 .
 Bitcoin (₿) is the world's first cryptocurrency,
 a form of electronic cash sent peer-to-peer
 without the need for a financial intermediary.
 .
 Bitcoin Core is the reference implementation of Bitcoin.
 .
 Beware that unless pruning is enabled,
 full global transaction history is stored locally at each client,
 which may require large amounts of disk space
 (hundreds of gigabyte).

Package: bitcoin-tx
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: peer-to-peer network based digital currency - transaction tool
 This package provides Bitcoin Core tool bitcoin-tx,
 a command-line tool for creating, parsing, or modifying transactions.
 .
 Bitcoin (₿) is the world's first cryptocurrency,
 a form of electronic cash sent peer-to-peer
 without the need for a financial intermediary.
 .
 Bitcoin Core is the reference implementation of Bitcoin.
 .
 Beware that unless pruning is enabled,
 full global transaction history is stored locally at each client,
 which may require large amounts of disk space
 (hundreds of gigabyte).
