## bitcoin 0.16.2~dfsg

=== debian/changelog ===
bitcoin (0.16.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New bugfix release.

  [ Jonas Smedegaard ]
  * Unfuzz patches.
  * Declare source package as not requiring root to build.
  * Declare compliance with Debian Policy 4.2.0.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Aug 2018 10:38:57 +0200
