=== debian/control ===
--- 
+++ 
@@ -34,10 +34,11 @@
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Homepage: https://www.bitcoin.org/
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/bitcoin.git
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/bitcoin
+Rules-Requires-Root: no
 
 Package: bitcoind
 Architecture: any
