=== debian/watch ===
# run "uscan --report" to check or "gbp import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%,uversionmangle=s/(\d)(alpha|beta|rc)/$1~~$2/,dversionmangle=s/~dfsg\d*$//,repacksuffix=~dfsg" \
 https://github.com/bitcoin/bitcoin/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
